## wiremix 0.7.0

=== debian/changelog ===
wiremix (0.7.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1112621)

 -- Federico Ceratto <federico@debian.org>  Sun, 31 Aug 2025 18:00:40 +0200
