=== debian/control ===
Source: wiremix
Section: utils
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Rules-Requires-Root: no
Build-Depends:
 cargo:native,
 dh-cargo,
 debhelper-compat (= 13),
 help2man,
 rustc:native (>= 1.74.1),
 libstd-rust-dev,
 librust-anyhow-1+default-dev (>= 1.0.95-~~),
 librust-clap-dev (>= 4.5.0),
 librust-crossterm-dev,
 librust-futures-lite-dev,
 librust-futures-timer-dev,
 librust-pipewire-0.8+default-dev,
 librust-ratatui-dev,
 librust-serde-with-dev,
 librust-smallvec-1+default-dev (>= 1.14.0-~~),
 librust-toml-dev (>= 0.8.19-~~)
Standards-Version: 4.7.2
Homepage: https://github.com/tsowell/wiremix
Vcs-Browser: https://salsa.debian.org/rust-team/wiremix
Vcs-Git: https://salsa.debian.org/rust-team/wiremix.git

Package: wiremix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Built-Using: ${cargo:Built-Using}
X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: TUI audio mixer for PipeWire
 wiremix is a simple TUI audio mixer for PipeWire. You can use it to adjust
 volumes, route audio between devices and applications, and configure audio
 device settings like input/output ports and profiles.
 It is lightweight and provides real-time input and output VU meters.
