=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CARGO_REGISTRY=$(CURDIR)/debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --buildsystem=cargo


execute_after_dh_auto_clean:
	rm -rf debian/cargo_registry

execute_before_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock
	
override_dh_installman:
	help2man --no-discard-stderr --no-info \
		--version-string="$(DEB_VERSION)" \
		--name "container-based package builder" \
		--output debian/wiremix.1 ./debian/wiremix/usr/bin/wiremix
	dh_installman ./debian/wiremix.1

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md
