=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/wiremix-$1\.tar\.gz/ \
  https://github.com/tsowell/wiremix/tags .*/v?(\d\S*)\.tar\.gz
